/*This do file constructs the variables displayed in Figure 5*/

/*Hour of Day Analysis (Top Panel)*/
clear
insheet using "Hour of Day Bids for Figure 5.txt", clear

gen mobile_share_purchases = mobile_purchases/total_purchases
/*All purchases in this sample are either mobile app or core site purchases*/
gen core_purchases = total_purchases - mobile_purchases

egen all_mobile_purchases = sum(mobile_purchases)
egen all_core_purchases = sum(core_purchases)

gen hourly_share_mobile = mobile_purchases/all_mobile_purchases
gen hourly_share_core = core_purchases/all_core_purchases

outsheet using "Figure 5 - Hour of Day Distribution and Mobile Share.xls", replace


/*Day of Week Analysis (Bottom Panel)*/
clear
insheet using "Day of Week Bids for Figure 5.txt", clear

gen mobile_share_purchases = mobile_purchases/total_purchases
gen core_purchases = total_purchases - mobile_purchases

egen all_mobile_purchases = sum(mobile_purchases)
egen all_core_purchases = sum(core_purchases)

gen hourly_share_mobile = mobile_purchases/all_mobile_purchases
gen hourly_share_core = core_purchases/all_core_purchases

outsheet using "Figure 5 - Day of Week Distribution and Mobile Share.xls", replace
