/*This do-file formats the data underlying Figure 1*/

set more off
clear

insheet using "Monthly Mobile User Event and Purchase Shares.txt"

/*Normalize each variable by its April 2010 measure*/
foreach var in purchase_share event_share user_share {
	gen baseline_`var'_tmp = `var' if year==2010 & month==4
	egen baseline_`var' = mean(baseline_`var'_tmp)
	drop baseline_`var'_tmp
	gen norm_`var' = `var'/baseline_`var'
}

outsheet using "Monthly Mobile User Event and Purchase Shares.xls", replace
